<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AutoImportSettings">
    <option name="autoReloadType" value="ALL" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="e5a7c631-b0eb-4bcf-9341-cd30afbc8d51" name="Changes" comment="">
      <change afterPath="$PROJECT_DIR$/.idea/legalgo-BE-go.iml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/config/auth.go" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/config/configs.go" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/config/db.go" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/config/http.go" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/config/jwt.go" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/config/module.go" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/config/oss.go" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/config/server.go" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/development.yaml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/internal/accessor/oss/oss.go" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/internal/accessor/oss/upload.go" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/internal/api/http/oss/module.go" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/internal/api/http/oss/upload.go" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/internal/domain/oss/oss.go" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/internal/services/oss/impl.go" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/internal/services/oss/init.go" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/k8s/staging/deployment.yaml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/k8s/staging/ingress.yaml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/k8s/staging/namespace.yaml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/k8s/staging/service.yaml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmd/gorm/main.go" beforeDir="false" afterPath="$PROJECT_DIR$/cmd/gorm/main.go" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmd/legalgo/main.go" beforeDir="false" afterPath="$PROJECT_DIR$/cmd/legalgo/main.go" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/database/new_db.go" beforeDir="false" afterPath="$PROJECT_DIR$/database/new_db.go" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/go.mod" beforeDir="false" afterPath="$PROJECT_DIR$/go.mod" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/go.sum" beforeDir="false" afterPath="$PROJECT_DIR$/go.sum" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/internal/accessor/module.go" beforeDir="false" afterPath="$PROJECT_DIR$/internal/accessor/module.go" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/internal/api/http/router.go" beforeDir="false" afterPath="$PROJECT_DIR$/internal/api/http/router.go" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/internal/services/module.go" beforeDir="false" afterPath="$PROJECT_DIR$/internal/services/module.go" afterDir="false" />
    </list>
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Go File" />
      </list>
    </option>
  </component>
  <component name="GOROOT" url="file:///opt/homebrew/Cellar/go/1.24.0/libexec" />
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="MarkdownSettingsMigration">
    <option name="stateVersion" value="1" />
  </component>
  <component name="ProjectId" id="2tlQuDgnVjD2XCHsYVtzhu4hYTb" />
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent"><![CDATA[{
  "keyToString": {
    "ASKED_SHARE_PROJECT_CONFIGURATION_FILES": "true",
    "DefaultGoTemplateProperty": "Go File",
    "RunOnceActivity.OpenProjectViewOnStart": "true",
    "RunOnceActivity.ShowReadmeOnStart": "true",
    "RunOnceActivity.go.formatter.settings.were.checked": "true",
    "RunOnceActivity.go.migrated.go.modules.settings": "true",
    "RunOnceActivity.go.modules.go.list.on.any.changes.was.set": "true",
    "RunOnceActivity.go.vendoring.notification.had.been.shown": "true",
    "SHARE_PROJECT_CONFIGURATION_FILES": "true",
    "WebServerToolWindowFactoryState": "false",
    "configurable..is.expanded": "false",
    "configurable.GoLibrariesConfigurable.is.expanded": "true",
    "go.import.settings.migrated": "true",
    "go.sdk.automatically.set": "true",
    "last_opened_file_path": "/Users/aditya.siregar/Personal/Altru/legalgo-news/legalgo-BE-go",
    "node.js.detected.package.eslint": "true",
    "node.js.selected.package.eslint": "(autodetect)",
    "settings.editor.selected.configurable": "go.sdk"
  }
}]]></component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$" />
      <recent name="$PROJECT_DIR$/internal/api/http/oss" />
      <recent name="$PROJECT_DIR$/internal/services" />
      <recent name="$PROJECT_DIR$/internal/accessor" />
      <recent name="$PROJECT_DIR$/config" />
    </key>
    <key name="MoveFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$/internal/api/http/oss" />
    </key>
  </component>
  <component name="RunManager">
    <configuration name="go build legalgo-BE-go/cmd/legalgo" type="GoApplicationRunConfiguration" factoryName="Go Application" temporary="true" nameIsGenerated="true">
      <module name="legalgo-BE-go" />
      <working_directory value="$PROJECT_DIR$" />
      <kind value="PACKAGE" />
      <package value="legalgo-BE-go/cmd/legalgo" />
      <directory value="$PROJECT_DIR$" />
      <filePath value="$PROJECT_DIR$/cmd/legalgo/main.go" />
      <method v="2" />
    </configuration>
    <recent_temporary>
      <list>
        <item itemvalue="Go Build.go build legalgo-BE-go/cmd/legalgo" />
      </list>
    </recent_temporary>
  </component>
  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="application-level" UseSingleDictionary="true" transferred="true" />
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="3" />
  </component>
  <component name="VgoProject">
    <settings-migrated>true</settings-migrated>
  </component>
</project>